Package: org.gradle.nativebinaries.language.rc.tasks

## [Groovy] Class WindowsResourceCompile

- org.gradle.nativebinaries.language.rc.tasks.WindowsResourceCompile

- Compiles Windows Resource scripts into .res files.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<String>` | `compilerArgs` Additional arguments to provide to the compiler.
    `FileCollection` | `includes` Returns the header directories to be used for compilation.
    `Map<String, String>` | `macros` Macros that should be defined for the compiler.
    `File` | `outputDir` The directory where object files will be generated.
    `FileCollection` | `source` Returns the source files to be compiled.
    `Platform` | `targetPlatform` The platform being targeted.
    `ToolChain` | `toolChain` The tool chain used for compilation.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WindowsResourceCompile ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `compile(IncrementalTaskInputs inputs)`
    `IncrementalCompilerBuilder` | `getIncrementalCompilerBuilder()`
    `def` | `getOutputType()`
    `void` | `includes(Object includeRoots)` Add directories where the compiler should search for header files.
    `void` | `source(Object sourceFiles)` Adds a set of source files to be compiled.

- - ### Property Detail

    - #### @Input List<String> compilerArgs

      Additional arguments to provide to the compiler.

    - #### @InputFiles FileCollection includes

      Returns the header directories to be used for compilation.

    - #### @Input Map<String, String> macros

      Macros that should be defined for the compiler.

    - #### @OutputDirectory File outputDir

      The directory where object files will be generated.

    - #### @InputFiles FileCollection source

      Returns the source files to be compiled.

    - #### Platform targetPlatform

      The platform being targeted.

    - #### ToolChain toolChain

      The tool chain used for compilation.

  - ### Constructor Detail

    - #### WindowsResourceCompile()

  - ### Method Detail

    - #### @TaskAction void compile(IncrementalTaskInputs inputs)

    - #### @Inject IncrementalCompilerBuilder getIncrementalCompilerBuilder()

    - #### @Input def getOutputType()

    - #### void includes(Object includeRoots)

      Add directories where the compiler should search for header files.

    - #### void source(Object sourceFiles)

      Adds a set of source files to be compiled. The provided sourceFiles object is evaluated as per Project.files.